org.eclipse.jetty.server

## Class CookieCutter

- java.lang.Object
- - org.eclipse.jetty.server.CookieCutter

-     public class CookieCutter
      extends Object

  Cookie parser

  Optimized stateful cookie parser. Cookies fields are added with the `addCookieField(String)` method and parsed on the next subsequent call to `getCookies()`. If the added fields are identical to those last added (as strings), then the cookies are not re parsed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieCutter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCookieField(String f)`
    `javax.servlet.http.Cookie[]` | `getCookies()`
    `protected void` | `parseFields()`
    `void` | `reset()`
    `void` | `setCookies(javax.servlet.http.Cookie[] cookies)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieCutter

          public CookieCutter()

  - ### Method Detail

    - #### getCookies

          public javax.servlet.http.Cookie[] getCookies()

    - #### setCookies

          public void setCookies(javax.servlet.http.Cookie[] cookies)

    - #### reset

          public void reset()

    - #### addCookieField

          public void addCookieField(String f)

    - #### parseFields

          protected void parseFields()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.